Loading...
Searching...
No Matches
pappso::specpeptidoms Namespace Reference

## Classes

class | CorrectionTree
struct | Location
class | LocationSaver
struct | AminoAcidModel
class | PeptideModel
| modelize peptide sequence to facilitate rendering in bracket or proforma More...
struct | ScenarioCell
class | Scenario
class | ScoreValues
struct | KeyCell
struct | Alignment
class | SemiGlobalAlignment
struct | SpOMSAa
class | SpOMSProtein
struct | AaPosition
class | SpOMSSpectrum

## Typedefs

typedef std::shared_ptr< CorrectionTree > | CorrectionTreeSp
typedef std::shared_ptr< const SpOMSSpectrum > | SpOMSSpectrumCsp

## Enumerations

enum class | ScoreType : std::uint8_t { foundDouble = 0 , found = 1 , foundShiftDouble = 2 , foundShift = 3 , notFound = 4 , init = 5 }
enum class | AlignType { found , shift , perfectShift , notFound , init }

## Functions

const uint | MAX_SAVED_ALIGNMENTS (5)
const uint | ALIGNMENT_SURPLUS (5)
const int | MIN_ALIGNMENT_SCORE (15)
const uint | MAX_RETURNED_RESULTS (2)
const uint | TOL_PEAKS_MISSING (4)
const uint | TOL_PEAKS_MISSING_FIRST_COLUMN (5)
const float | ALIGNMENT_FILTER (0.9)

## Typedef Documentation

## CorrectionTreeSp

typedef std::shared_ptr<CorrectionTree> pappso::specpeptidoms::CorrectionTreeSp

Definition at line 42 of file correctiontree.h.

## SpOMSSpectrumCsp

typedef std::shared_ptr<const SpOMSSpectrum> pappso::specpeptidoms::SpOMSSpectrumCsp

Definition at line 66 of file spomsspectrum.h.

## Enumeration Type Documentation

## AlignType

enum class pappso::specpeptidoms::AlignType

strong

Enumerator
found |
shift |
perfectShift |
notFound |
init |

Definition at line 50 of file types.h.

{
found,
shift,
perfectShift,
notFound,
init
};
pappso::specpeptidoms::AlignType::shift
@ shift
Definition types.h:53
pappso::specpeptidoms::AlignType::perfectShift
@ perfectShift
Definition types.h:54
pappso::specpeptidoms::ScoreType::notFound
@ notFound
Definition types.h:46
pappso::specpeptidoms::ScoreType::found
@ found
Definition types.h:43
pappso::specpeptidoms::ScoreType::init
@ init
Definition types.h:47

## ScoreType

enum class pappso::specpeptidoms::ScoreType : std::uint8_t

strong

Enumerator
foundDouble |
found |
foundShiftDouble |
foundShift |
notFound |
init |

Definition at line 40 of file types.h.

{
foundDouble = 0,
found = 1,
foundShiftDouble = 2,
foundShift = 3,
notFound = 4,
init = 5,
};
pappso::specpeptidoms::ScoreType::foundDouble
@ foundDouble
Definition types.h:42
pappso::specpeptidoms::ScoreType::foundShift
@ foundShift
Definition types.h:45
pappso::specpeptidoms::ScoreType::foundShiftDouble
@ foundShiftDouble
Definition types.h:44

## Function Documentation

## ALIGNMENT_FILTER()

const float pappso::specpeptidoms::ALIGNMENT_FILTER | ( | 0. | 9 | ) |

Referenced by pappso::specpeptidoms::LocationSaver::getMinScore().

## ALIGNMENT_SURPLUS()

const uint pappso::specpeptidoms::ALIGNMENT_SURPLUS | ( | 5 |  | ) |

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().

## MAX_RETURNED_RESULTS()

const uint pappso::specpeptidoms::MAX_RETURNED_RESULTS | ( | 2 |  | ) |

## MAX_SAVED_ALIGNMENTS()

const uint pappso::specpeptidoms::MAX_SAVED_ALIGNMENTS | ( | 5 |  | ) |

Referenced by pappso::specpeptidoms::LocationSaver::LocationSaver().

## MIN_ALIGNMENT_SCORE()

const int pappso::specpeptidoms::MIN_ALIGNMENT_SCORE | ( | 15 |  | ) |

Referenced by pappso::specpeptidoms::LocationSaver::LocationSaver(), pappso::specpeptidoms::SemiGlobalAlignment::correctAlign(), pappso::specpeptidoms::LocationSaver::getNextTree(), pappso::specpeptidoms::SemiGlobalAlignment::preciseAlign(), and pappso::specpeptidoms::LocationSaver::resetLocationSaver().

## TOL_PEAKS_MISSING()

const uint pappso::specpeptidoms::TOL_PEAKS_MISSING | ( | 4 |  | ) |

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().

## TOL_PEAKS_MISSING_FIRST_COLUMN()

const uint pappso::specpeptidoms::TOL_PEAKS_MISSING_FIRST_COLUMN | ( | 5 |  | ) |

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().